Arduino

Reference Language | Libraries | Comparison | Changes

## ++ (increment) / -- (decrement)

#### Description

Increment or decrement a variable

#### Syntax

    x++;  // increment x by one and returns the old value of x
    ++x;  // increment x by one and returns the new value of x

    x-- ;   // decrement x by one and returns the old value of x
    --x ;   // decrement x by one and returns the new value of x

#### Parameters

x: an integer or long (possibly unsigned)

#### Returns

The original or newly incremented / decremented value of the variable.

#### Examples

    x = 2;
    y = ++x;      // x now contains 3, y contains 3
    y = x--;      // x contains 2 again, y still contains 3

#### See also

+=
-=

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers